Bug 1575116 - unable to upgrade from fedora 27 to fedora 28 i686
Summary: unable to upgrade from fedora 27 to fedora 28 i686
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupdate
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 19:36 UTC by Ed
Modified: 2018-07-01 02:37 UTC (History)
4 users (show)

Fixed In Version: fwupdate-11-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-01 02:37:20 UTC


Attachments (Terms of Use)
unable to upgrade to fedora 28 (302.08 KB, image/png)
2018-05-04 19:36 UTC, Ed
no flags Details
upgrade error today (304.37 KB, image/png)
2018-06-08 18:48 UTC, Ed
no flags Details
after attaching --best to the line command (671.51 KB, text/plain)
2018-06-08 19:08 UTC, Ed
no flags Details
rpm -qa results (99.34 KB, text/plain)
2018-06-08 19:12 UTC, Ed
no flags Details

Description Ed 2018-05-04 19:36:43 UTC
Created attachment 1431563 [details]
unable to upgrade to fedora 28

Unable to upgrade to Fedora 28
Error running transaction file /boot/efi/EFI/fedora from install of grub2-common-1.2.02-34.fc28.noarch conflicts with file from fwupdate-efi-8.4.fc26.i686

Comment 1 Miroslav Suchý 2018-05-09 07:43:29 UTC
I guess we should obsolete fwupdate-efi.

Comment 2 Jason Tibbitts 2018-05-21 18:00:50 UTC
I did not see this ticket when it was reassigned to me for some reason, so I apologize for the delay.  However, I'm rather confused here.  What exactly am I being asked to obsolete?  It can't be fwupdate-efi as that is still in the distribution.

Plus, /boot/efi/EFI/fedora is a directory, not a file, even in the F26.  So something else has gone wrong here, and I have no idea what is is and have no information to determine what it might be.  But I'm pretty sure that reassigning this ticket to fedora-obsolete-packages was the wrong thing to do.

I can reassign to fwupdate, I guess, but I have no reasonable believe that the limited amount of information is going to be enough for that maintainer to do anything either.  The only other options I have are to just close this, or to ignore it for a year and let it auto close.  I guess reassigning is the lesser of the available evils, so I'll do that.  My apologies to pjones.

Comment 3 Ed 2018-06-08 16:08:34 UTC
Tried again today and received the following:

Running transaction test

The downloaded packages were saved in cache until the next successful transaction.

You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:

  file /boot/efi/EFI/fedora from install of grub2-common-1:2.02-34.fc28.noarch conflicts with file from package fwupdate-efi-8-4.fc26.i686

Error Summary
-------------

Any idea of what to do next?

Comment 4 Jason Tibbitts 2018-06-08 17:17:02 UTC
I think I see part of the issue, at least.  In Fedora 28, fwupdate packages do not exist for the i686 architecture at all.  I guess that's why @msuchy suggested that it be obsoleted.

The conflict here is due to the fact that both grub2-common and the old fwupdate-efi package provide /boot/efi/EFI/fedora (as a directory) but the permissions differ.  Currently it should be mode 0700 but the old fwupdate package has it as mode 0755.

So I guess I would suggest removing fwupdate.  But I guess that might remove things going up to gnome-software and maybe gnome.  I don't use gnome so I don't really know.  If it only removes gnome-software then you could remove it, upgrade and add it back in.  Might be more difficult if it takes the whole desktop environment with it.

The only other possibility I can see is that we make fedora-obsolete-package arch-specific and then obsolete different things on different architectures.  I would certainly prefer to avoid going that route if at all possible.

Comment 5 Ed 2018-06-08 17:51:19 UTC
(In reply to Jason Tibbitts from comment #4)
> I think I see part of the issue, at least.  In Fedora 28, fwupdate packages
> do not exist for the i686 architecture at all.  I guess that's why @msuchy
> suggested that it be obsoleted.
> 
> The conflict here is due to the fact that both grub2-common and the old
> fwupdate-efi package provide /boot/efi/EFI/fedora (as a directory) but the
> permissions differ.  Currently it should be mode 0700 but the old fwupdate
> package has it as mode 0755.
> 
> So I guess I would suggest removing fwupdate.  But I guess that might remove
> things going up to gnome-software and maybe gnome.  I don't use gnome so I
> don't really know.  If it only removes gnome-software then you could remove
> it, upgrade and add it back in.  Might be more difficult if it takes the
> whole desktop environment with it.
> 
> The only other possibility I can see is that we make fedora-obsolete-package
> arch-specific and then obsolete different things on different architectures.
> I would certainly prefer to avoid going that route if at all possible.

Jason,

I removed fwupdate-libs-8.4.fc26.i686 and fwupdate-efi-8-4.fc26.i686 and received the same error message.  I have not rebooted the workstation since retrying the upgrade.

Comment 6 Jason Tibbitts 2018-06-08 18:25:58 UTC
Then I don't know what to tell you, because I can't comprehend how you could have a conflict with a package that isn't on the system at all unless some part of the upgrade process is attempting to reinstall it.

The next thing I'd try is passing --best --allowerasing to dnf system-upgrade.  And if that doesn't help, you may wish to attach both the output of "rpm -qa" as well as the complete output of the dnf system-upgrade command you're running, assuming you don't mind disclosing your installed package list.  (The usual caveat of this not being at all within my area of expertise applies.)

Comment 7 Ed 2018-06-08 18:48:22 UTC
Created attachment 1449201 [details]
upgrade error today

Comment 8 Ed 2018-06-08 18:51:14 UTC
(In reply to Ed from comment #7)
> Created attachment 1449201 [details]
> upgrade error today

Initially typed the following:

sudo dnf system-upgrade download --releasever=28 --allowerasing

Tried The Software App Update approach and received the same error will type the same and include --best.  Will issue a script before doing anything to record a log and attach afterward.

Comment 9 Ed 2018-06-08 19:08:59 UTC
Created attachment 1449204 [details]
after attaching --best to the line command

Comment 10 Ed 2018-06-08 19:12:19 UTC
Created attachment 1449205 [details]
rpm -qa results

Comment 11 Ed 2018-06-08 19:12:59 UTC
Requested attachments

Comment 12 Jason Tibbitts 2018-06-08 19:14:51 UTC
You indicated that you had removed the fwupdate-efi package, but your rpm -qa results show that it is still installed.  Are you certain that you actually removed it?

Comment 13 Ed 2018-06-08 20:25:02 UTC
(In reply to Jason Tibbitts from comment #12)
> You indicated that you had removed the fwupdate-efi package, but your rpm
> -qa results show that it is still installed.  Are you certain that you
> actually removed it?

sudo rm -rf fwupdate-efi-8-4.fc26.i686
sudo rm -rf fwupdate-libs-8-4.fc26.i686

issued both

Comment 14 Jason Tibbitts 2018-06-08 20:41:18 UTC
Unless you happened to actually have files or directories in the current directory with those names, those commands did exactly nothing.

I suggested you remove the fwupdate-efi package.  That would be "dnf erase fwupdate-efi".  I suspect it will remove other things which depend on that package, and thus would be a problem for you but if it doesn't then that would permit you to upgrade.

Otherwise, I don't have any more help to offer.

Comment 15 Ed 2018-06-14 18:01:54 UTC
(In reply to Jason Tibbitts from comment #14)
> Unless you happened to actually have files or directories in the current
> directory with those names, those commands did exactly nothing.
> 
> I suggested you remove the fwupdate-efi package.  That would be "dnf erase
> fwupdate-efi".  I suspect it will remove other things which depend on that
> package, and thus would be a problem for you but if it doesn't then that
> would permit you to upgrade.
> 
> Otherwise, I don't have any more help to offer.

Pardon the delay I issued dnf eraase fwupdate-efi, re-ran dnf system-upgrade download --releasever=28 --allowerasing
 
Was asked to reboot to start the upgrade and the message reads "starting system upgrade. This will take a while.  

Will update as soon as it completes.

Comment 16 Ed 2018-06-14 21:58:09 UTC
(In reply to Ed from comment #15)
> (In reply to Jason Tibbitts from comment #14)
> > Unless you happened to actually have files or directories in the current
> > directory with those names, those commands did exactly nothing.
> > 
> > I suggested you remove the fwupdate-efi package.  That would be "dnf erase
> > fwupdate-efi".  I suspect it will remove other things which depend on that
> > package, and thus would be a problem for you but if it doesn't then that
> > would permit you to upgrade.
> > 
> > Otherwise, I don't have any more help to offer.
> 
> Pardon the delay I issued dnf eraase fwupdate-efi, re-ran dnf system-upgrade
> download --releasever=28 --allowerasing
>  
> Was asked to reboot to start the upgrade and the message reads "starting
> system upgrade. This will take a while.  
> 
> Will update as soon as it completes.

The upgrading completed but it never reaches the login in screen it just hangs, I left it 15 mins, nothing, selected Fedora 27 kernel and it to does not get to the login in screen.

Comment 17 Ed 2018-06-14 22:04:01 UTC
At boot, I receive failed to start load kernel modules

Comment 18 Jason Tibbitts 2018-06-14 22:45:45 UTC
I somehow doubt that is in any way related to the conflict you reported as part of this bug, since you indicated that you did erase fwupdate-efi as suggested and the the conflict was no longer present.  Any further problems you're having are are most likely separate and will need separate debugging somewhere other than this ticket.

Since the sum total of my suggestion was just "try removing the fwupdate-efi package" which somehow turned into an additional 13 comments, I don't really have anything else to offer here.  A support channel or mailing list would be a far better way to get additional assistance.

I'll leave it up to the fwupdate maintainer to decide if there is reason to  obsolete of the fwupdate-efi package on any architecture.

Comment 19 Ed 2018-06-14 23:34:39 UTC
(In reply to Jason Tibbitts from comment #18)
> I somehow doubt that is in any way related to the conflict you reported as
> part of this bug, since you indicated that you did erase fwupdate-efi as
> suggested and the the conflict was no longer present.  Any further problems
> you're having are are most likely separate and will need separate debugging
> somewhere other than this ticket.
> 
> Since the sum total of my suggestion was just "try removing the fwupdate-efi
> package" which somehow turned into an additional 13 comments, I don't really
> have anything else to offer here.  A support channel or mailing list would
> be a far better way to get additional assistance.
> 
> I'll leave it up to the fwupdate maintainer to decide if there is reason to 
> obsolete of the fwupdate-efi package on any architecture.

Thanks and you are correct.  Just wanted to update you.  This is a different issue.

Comment 20 Fedora Update System 2018-06-26 17:52:26 UTC
efibootmgr-16-2.fc28 fwupdate-11-2.fc28 efivar-35-1.fc28 shim-unsigned-aarch64-15-1.fc28 shim-unsigned-x64-15-1.fc28 shim-signed-15-2 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-92b266d831

Comment 21 Fedora Update System 2018-06-28 15:02:51 UTC
efibootmgr-16-2.fc28, efivar-35-1.fc28, fwupdate-11-2.fc28, shim-signed-15-2, shim-unsigned-aarch64-15-1.fc28, shim-unsigned-x64-15-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-92b266d831

Comment 22 Ed 2018-06-28 18:08:52 UTC
(In reply to Fedora Update System from comment #21)
> efibootmgr-16-2.fc28, efivar-35-1.fc28, fwupdate-11-2.fc28,
> shim-signed-15-2, shim-unsigned-aarch64-15-1.fc28,
> shim-unsigned-x64-15-1.fc28 has been pushed to the Fedora 28 testing
> repository. If problems still persist, please make note of it in this bug
> report.
> See https://fedoraproject.org/wiki/QA:Updates_Testing for
> instructions on how to install test updates.
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-2018-92b266d831

I will give this a try and update.  Thanks

Comment 23 Fedora Update System 2018-07-01 02:37:20 UTC
efibootmgr-16-2.fc28, efivar-35-1.fc28, fwupdate-11-2.fc28, shim-signed-15-2, shim-unsigned-aarch64-15-1.fc28, shim-unsigned-x64-15-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.